<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_6a90de6af30bf7" . "20b668cfb570e60" . "6de" => base64_decode("cHJldl9z" . "dGF0ZQ=="), "_4c760fb02a49c55509ba087" . "b84fbda45" => base64_decode("ZH" . "Jh" . "Zn" . "Q="), "_939c6a45ff74323dbef487ed15" . "753a7c" => base64_decode("c3R" . "hdG" . "U="), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl0bG" . "U="), "_2e858fb1973" . "337f53ff85c1" . "04fcb38f4" => base64_decode("cHVibGlzaGV" . "k"), "_b2f5a1004511" . "64396178c16d2" . "a5c6899" => base64_decode("cHJld" . "l90aX" . "RsZQ=" . "="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_b2f5a10045116439617" . "8c16d2a5c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["t" . "i" . "t" . "l" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_6a90de6af30" . "bf720b668cfb" . "570e606de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_939c6a45ff74323dbef487ed15753" . "a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_939c6a45ff743" . "23dbef487ed157" . "53a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4c760fb0" . "2a49c5550" . "9ba087b84" . "fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2e858fb1973337f53ff85" . "c104fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}